# Probabilistic Inference of Ecohydrological Parameters: PIEP

This repository contains code and examples to estimate ecohydrological parameters that best fit empirical soil saturation probability density functions through Bayesian inference using a stochastic soil water balance framework.


**For methods description see:**

Bassiouni, M., C.W. Higgins, C.J. Still, and S.P. Good (2018), Probabilistic inference of ecohydrological parameters using observations from point to satellite scales. Hydrology and Earth System Sciences, 22(6), pp.3229-3243. https://doi.org/10.5194/hess-22-3229-2018.


**For results from a global application see:**

Bassiouni, M., S.P. Good, C.J. Still, and C.W. Higgins (2020), Plant water uptake thresholds inferred from satellite soil moisture. Geophysical Research Letters. 47(7), e2020GL087077. https://doi.org/10.1029/2020GL087077

Global dataset of ecohydrological parameters inferred from satellite observations (2020) https://doi.org/10.5281/zenodo.3351622


**param_sm_pdf.py:** Estimates ecohydrological parameters that best fit empirical soil saturation probability density functions  using a Metropolis‐Hastings Markov chain Monte Carlo algorithm. 

**sswm.py**: Computes equations of a stochastic soil water balance model.

